Download it now!
Bug 131936 - Save dialog does not correctly remember last used filetype
Summary: Save dialog does not correctly remember last used filetype
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: All All
: medium trivial
Assignee: Samuel Mehrbrodt (CIB)
URL:
Whiteboard: target:7.0.0 target:6.4.4
Keywords: filter:docx, implementationError
Depends on:
Blocks:
 
Reported: 2020-04-06 15:21 UTC by Samuel Mehrbrodt (CIB)
Modified: 2020-04-27 08:15 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Samuel Mehrbrodt (CIB) 2020-04-06 15:21:16 UTC
1, Create new file in Writer, save as "Office Open XML Text (*.docx)"
2. close document
3. re-open file, choose "Save As"
4. Notice that the pre-selected file type in Save As dialog is now "Microsoft Word 2007-2013 XML (.docx)" instead of "Office Open XML Text (.docx)"
Comment 1 Bhavesh Patel 2020-04-06 16:43:48 UTC Comment hidden (obsolete)
Comment 2 Samuel Mehrbrodt (CIB) 2020-04-15 06:40:13 UTC
(In reply to Bhavesh Patel from comment #1)
> Same behavior occurs when saving file as "Text - Choose Encoding (*.txt)"
> and then re-opening and save as dialog takes me to "Text (*.txt)".
> 
> Severity level set to Trivial.

Please file a separate bug for this issue, this one is just about the docx issue (there is no general fix for this type of issues).
Comment 3 Commit Notification 2020-04-23 10:01:02 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ff93e4977cb1e23f355d248a77e8d0e56bb0f4b9

tdf#131936 Correctly detect OOXML variant on import

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2020-04-27 08:15:03 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/66331ed8f549cd9fad331b7d2a1d7dcf3498a553

tdf#131936 Correctly detect OOXML variant on import

It will be available in 6.4.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.